VantPay API Documentation
API Docs
API Docs
  1. Authentication
  • Authentication
    • Authenticate
      POST
  • Virtual Account
    • Create Static Virtual Account
      POST
    • Create Dynamic Virtual Account
      POST
    • List Static Virtual Accounts
      GET
    • get-wallet-balance
      GET
    • get-prefixes
      GET
    • get-dynamic-virtual-accounts
      GET
    • validate-virtual-account
      POST
  • Inward Transfers
    • Inward TransQuery (TSQ)
      • inward-transquery
    • Inward Transactions
      • get-wallet transactions
  • Merchant Settlement
    • Merchant Payout
      • merchant-settlement
    • Get Settlement History
      • get-settlement-history
    • Confirm Payout Status
      • get-settlement-status
  • Checkout
    • initiate-checkout
      POST
    • create-account
      POST
    • complete-checkout
      POST
    • query-access-code
      GET
  • Transactions
    • List Transactions (and fetch by reference)
      GET
  • Wallet
    • Get Wallet Balance
      GET
  • Webhooks
    • Set Notification (Webhook) URL
      POST
    • Collection Notification (received by YOU, not called by you)
      POST
  • Schemas
    • AuthData
    • ApiResponseEnvelope
    • StaticAccountData
    • AuthenticateResponse
    • DynamicAccountData
    • VirtualAccountStatic
    • StaticAccountListItem
    • CreateStaticVirtualAccountResponse
    • Transaction
    • VirtualAccountDynamic
    • PagedStaticAccounts
    • CreateDynamicVirtualAccountResponse
    • PagedTransactions
    • VirtualAccountListItem
    • WalletBalanceData
    • CollectionNotification
    • PagedVirtualAccountList
    • ListStaticVirtualAccountsResponse
    • PagedTransactionList
    • ListTransactionsResponse
    • WalletBalance
    • WalletBalanceResponse
    • SetNotificationUrlResponse
    • WebhookCollectionPayload
  1. Authentication

Authenticate

POST
/api/v1/merchant/authenticate
Exchange your Client ID and Client Secret for a short-lived bearer token. You can find your Client ID and Client Secret on the Developers screen after you log in to VantPay.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Token issued.
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://merchantapi-dev.vantpay.io/api/v1/merchant/authenticate' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "clientId": "<CLIENTID>",
    "clientSecret": "<CLIENTSECRET>"
}'
Response Response Example
{
    "isSuccessful": true,
    "code": "00",
    "message": "Operation successful",
    "data": {
        "access_token": "eyJhbGciOiJSUzI1NiIsImtpZCI6...",
        "expires_in": 3600,
        "token_type": "Bearer",
        "scope": "string"
    }
}
Modified at 2026-09-10 13:55:54
Previous
Authentication
Next
Virtual Account
Built with